Feature

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
POST
POST
POST
GET
POST
POST
POST
POST
POST
GET
POST
POST

List all feature requests

Required API key scopes

customer_analytics:read

Query parameters

  • account_ids
    array
  • archive_state
    string
    Default: active
    One of: "active""archived""all"
  • created_by_ids
    array
  • limit
    integer
  • offset
    integer
  • priorities
    array
  • product_area_ids
    array
  • request_ordering
    string
    Default: -updated_at
    One of: "-updated_at""updated_at""-created_at""created_at""-priority""priority""title""-title""account""-account""product_area""-product_area""status""-status""created_by""-created_by""evidence_count""-evidence_count"
  • search
    string
  • statuses
    array

Response


Example request

GET /api/projects/:project_id/feature_requests
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create feature requests

Required API key scopes

customer_analytics:write

Request parameters

  • title
    string
  • description
    string
    Default:
  • account_id
    string
  • product_area_ids
    array
  • idempotency_key
    string
  • evidence

Response


Example request

POST /api/projects/:project_id/feature_requests
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/\
-d title="string",\
-d account_id="string",\
-d product_area_ids="array",\
-d idempotency_key="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve feature requests

Required API key scopes

customer_analytics:read

Path parameters

  • id
    string

Response


Example request

GET /api/projects/:project_id/feature_requests/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update feature requests

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer
  • title
    string
  • description
    string
  • account_id
    string
  • account_ids
    array
  • product_area_ids
    array
  • request_status
  • request_priority

Response


Example request

PATCH /api/projects/:project_id/feature_requests/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/\
-d expected_version="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests add account

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer
  • account_id
    string
  • evidence

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/add_account
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/add_account/\
-d expected_version="integer",\
-d account_id="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests add evidence

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • summary
    string
    Default:
  • customer_quote
    string
    Default:
  • evidence_source
    string
  • source_url
  • requested_on
    string | null
  • image_ids
    array
  • expected_version
    integer
  • account_link_id
    string

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/add_evidence
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/add_evidence/\
-d evidence_source="string",\
-d expected_version="integer",\
-d account_link_id="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests archive

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/archive
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/archive/\
-d expected_version="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

List all feature requests history

Required API key scopes

customer_analytics:read

Path parameters

  • id
    string

Example request

GET /api/projects/:project_id/feature_requests/:id/history
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/history/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"changes": [
{
"field": "status",
"before": "string",
"after": "string"
}
],
"is_initial": true,
"change_source": "manual",
"actor_id": 0,
"actor_name": "string",
"changed_at": "2019-08-24T14:15:22Z"
}

Create feature requests link github

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • integration_id
    integer
  • issue_url
    string
  • expected_version
    integer

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/link_github
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/link_github/\
-d integration_id="integer",\
-d issue_url="string",\
-d expected_version="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests pause github

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/pause_github
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/pause_github/\
-d expected_version="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests remove evidence

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer
  • evidence_id
    string

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/remove_evidence
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/remove_evidence/\
-d expected_version="integer",\
-d evidence_id="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests restore

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/restore
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/restore/\
-d expected_version="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests resume github

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/resume_github
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/resume_github/\
-d expected_version="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

List all feature requests status history

Required API key scopes

customer_analytics:read

Path parameters

  • id
    string

Example request

GET /api/projects/:project_id/feature_requests/:id/status_history
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/status_history/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"previous_status": "requested",
"request_status": "requested",
"change_source": "manual",
"actor_id": 0,
"actor_name": "string",
"changed_at": "2019-08-24T14:15:22Z"
}

Create feature requests unlink github

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • expected_version
    integer

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/unlink_github
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/unlink_github/\
-d expected_version="integer"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create feature requests update evidence

Required API key scopes

customer_analytics:write

Path parameters

  • id
    string

Request parameters

  • summary
    string
    Default:
  • customer_quote
    string
    Default:
  • evidence_source
    string
  • source_url
  • requested_on
    string | null
  • image_ids
    array
  • expected_version
    integer
  • evidence_id
    string

Response


Example request

POST /api/projects/:project_id/feature_requests/:id/update_evidence
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/feature_requests/:id/update_evidence/\
-d evidence_source="string",\
-d expected_version="integer",\
-d evidence_id="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"description": "string",
"request_status": "requested",
"request_priority": "high",
"is_archived": true,
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": 0,
"version": 1,
"can_update": true,
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"account_links": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"evidence": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"summary": "string",
"customer_quote": "string",
"evidence_source": "string",
"source_url": "http://example.com",
"requested_on": "2019-08-24",
"image_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"evidence_count": 0,
"product_areas": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_order": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"github_link": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue_url": "http://example.com",
"repository": "string",
"issue_number": 1,
"issue_title": "string",
"issue_state": "open",
"sync_enabled": true,
"last_synced_at": "2019-08-24T14:15:22Z"
},
"created_by": 0,
"updated_by": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}